Subject: Re: [PATCH net-next 0/5] net: some build fixes and other improvements

From: Guillaume Nault <[email-masked]>
Date: Fri, 19 Apr 2019 10:38:26 +0200

On Thu, Apr 18, 2019 at 05:34:07PM -0700, Jakub Kicinski wrote:
> On Thu, 18 Apr 2019 17:06:47 -0700 (PDT), David Miller wrote:
> > From: Jakub Kicinski <[email-masked]>
> > Date: Wed, 17 Apr 2019 13:51:54 -0700
> > 
> > > A few unrelated improvements here, mostly trying to make random
> > > configs build and W=1 produce a little less warnings under net/
> > > and drivers net/.
> > > 
> > > First two patches fix set but not used warnings with W=1.
> > > 
> > > Next patch fixes 64bit division in sch_taprio.c.
> > > 
> > > Last two patches are getting rid of some (almost) unused asserts
> > > in skbuff.h.  
> > 
> > Series applied, thanks Jakub.
> 
> Thanks!
> 
> > That l2tp one was weird, apparently that value was never ever used.
> 
> Yess, the only explanation I could come up with was that Guillaume
> wanted to make sure user space passed a valid pointer, even if it's
> unused today.  But that's pure speculation :S

Exactly. These ioctl commands didn't make sense and had no effect. I
didn't remove them because they had been part of the ABI for so long.
Maintaining the behaviour for invalid pointers was probably a bit
overzealous though.

I missed your patch, will rework my mail filters. Anyway thanks for
taking care of that.

Guillaume